SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001770SiT!taskspublic2012-03-03 11:152012-07-07 18:10
ReporterTomse 
Assigned ToTomse 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product VersionCurrent SVN 
Target Version3.66 LTSFixed in Version3.66 LTS 
Summary0001770: Deleting a note from a task fails
Descriptionwhen you delete a note from a task it just fails.

Steps To Reproduceadd a task, then a note, delete the note
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0004449)
Tomse (developer)
2012-03-03 11:23

You cannot delete a system created note

the sql for delete is like this

delete from where id=$id and userid=$sit[2]

I don't know if it should be possible to delete system notes, but we might want to let the user know why deletion fails
User avatar (0004451)
ivan (administrator)
2012-03-03 12:07

We shoulnd't even offer the link I think. I don't think we should let people delete system notes.
User avatar (0004452)
Tomse (developer)
2012-03-03 12:27

fixed in svn7485

- Issue History
Date Modified Username Field Change
2012-03-03 11:15 Tomse New Issue
2012-03-03 11:23 Tomse Note Added: 0004449
2012-03-03 12:07 ivan Note Added: 0004451
2012-03-03 12:07 ivan Assigned To => administrator
2012-03-03 12:07 ivan Status new => confirmed
2012-03-03 12:26 Tomse Assigned To administrator => Tomse
2012-03-03 12:26 Tomse Status confirmed => assigned
2012-03-03 12:27 Tomse Note Added: 0004452
2012-03-03 12:27 Tomse Status assigned => resolved
2012-03-03 12:27 Tomse Fixed in Version => Current SVN
2012-03-03 12:27 Tomse Resolution open => fixed
2012-07-06 14:13 Tomse Fixed in Version Current SVN => 3.66 LTS
2012-07-07 18:10 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker